********************************************************************************
// Analysis of 2017 IPSR well-being dataset
********************************************************************************

* set working directory:
cd ".../Replication files/"

use "ipsr_wellbeing2017.dta", replace 


********************************************************************************
// Article
********************************************************************************

** FIGURE 5
sem (D -> W, ) (D -> SP, ) (D -> SC, ) (SP -> W, ) (SC -> W, ) (SC -> SP, ), vce(robust) standardized nocapslatent
estat eqgof


********************************************************************************
// Online Appendix II
********************************************************************************

** TABLE AII:1
sum W polyarchy2017 statecapacity2009 ilo_sp2017 wdi_gdpagr2014 wdi_trade2013 wdi_urban2017

** TABLE AII:2
corr W polyarchy2017 statecapacity2009 ilo_sp2017 wdi_gdpagr2014 wdi_trade2013 wdi_urban2017

