********************************************************************************
// Analysis of 1900-2010 IPSR well-being dataset
********************************************************************************

* set working directory:
cd ".../Replication files/"

use "ipsr_wellbeing1900-2010.dta", clear

xtset ccode year
est clear 


********************************************************************************
// Online Appendix V
********************************************************************************

** TABLE AV:1

eststo: xtreg pSP i.year l5.pSP pD pAC  if psample, fe cl(ccode)
nlcom (_b[pD])/ (1-_b[l5.pSP])
nlcom (_b[pAC])/ (1-_b[l5.pSP])
eststo: xtreg pAC i.year l5.pAC pD pSP if psample, fe cl(ccode)
nlcom (_b[pD])/ (1-_b[l5.pAC])
nlcom (_b[pSP])/ (1-_b[l5.pAC])
eststo: xtreg pD i.year l5.pD pSP pAC  if psample, fe cl(ccode)
nlcom (_b[pAC])/ (1-_b[l5.pD])
nlcom (_b[pSP])/ (1-_b[l5.pD])
esttab, se(3) ar2 nogaps b(3) label star(* 0.10 ** 0.05 *** 0.01) nomtitles drop(*year)
